#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		vimnum		%(echo %{version} |cut -d '.' -f1,2 | tr -d '.')
#-----------------------------------------------------------------------------
Name		:	vim
Version		:	9.1.1122
Release		:	17.2.90.rel%{?dist}
Summary		:	The VIM editor
Group		:	Applications/Editors

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Vim
URL		:	https://github.com/vim/vim

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
Provides	:	vi
#-----------------------------------------------------------------------------
%description
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README*
%doc runtime/doc
%config(noreplace) %{_sysconfdir}/%{name}rc
%config(noreplace) %{_sysconfdir}/%{name}rc.local
%config(noreplace) %{_sysconfdir}/virc
%{_bindir}/ex
%{_bindir}/rview
%{_bindir}/r%{name}
%{_bindir}/vi
%{_bindir}/view
%{_bindir}/%{name}
%{_bindir}/%{name}diff
%{_bindir}/%{name}tutor
%{_bindir}/xxd
%{_datadir}/%{name}/%{name}%{vimnum}/*
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_mandir}/*/man1/*.1.gz
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

echo '#define SYS_VIMRC_FILE "/etc/vimrc"' >> src/feature.h
export PATH=%{_bindir}:%{_sbindir}
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-fail-if-missing			\
	--enable-multibyte				\
	--enable-python3interp=no			\
	--enable-perlinterp=dynamic			\
	--enable-gui=no					\
	--enable-cscope					\
	--enable-termtruecolor				\
	--disable-selinux				\
	--disable-tclinterp				\
	--disable-netbeans				\
	--with-features=huge				\
	--with-x=no					\
	--with-tlib=ncursesw				\
	--with-compiledby="<info@osukiss.org>"		\


%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

# Adding STRIP=/bin/true, because Vim wants to strip the binaries
# by himself and put the stripped files into correct dirs.
# Build system # does it for us, so there is no need to do it in Vim
%{__make}					\
	STRIP=/bin/true				\
	DESTDIR=%{buildroot}			\
	install

%{__ln_s}  vim	%{buildroot}%{_bindir}/vi

for L in  %{buildroot}%{_mandir}/{,*/}man1/vim.1; do
    %{__ln_s} vim.1 $(dirname $L)/vi.1
done

#installing vim local config 
%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__cp} 					\
	%{name}-ok_addon/%{name}rc		\
	%{name}-ok_addon/%{name}rc.local	\
	%{name}-ok_addon/virc			\
	%{buildroot}%{_sysconfdir}

#=============================================================================
%changelog
